diff --git a/lib/transformer/remark/previewer/index.js b/lib/transformer/remark/previewer/index.js
index 08b3b008fab45904c7967fbdf48272ebfa270425..35d9a4f0fe0c919d8696659b85bb68f6389ae9cf 100644
--- a/lib/transformer/remark/previewer/index.js
+++ b/lib/transformer/remark/previewer/index.js
@@ -47,20 +47,19 @@ var _ = _interopRequireDefault(require("../.."));
 var _utils2 = require("../../utils");
 var _builtin = _interopRequireDefault(require("./builtin"));
 var _watcher = require("../../../utils/watcher");
-function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
-function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
+function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
+function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
 const debug = (0, _utils().createDebug)('dumi:previewer');
-const previewerTransforms = [_builtin.default];
+const previewerTransforms = exports.previewerTransforms = [_builtin.default];
 /**
  * cache id for each external demo file
  */
-exports.previewerTransforms = previewerTransforms;
 const externalCache = new Map();
 /**
  * record external demo id count
@@ -329,11 +328,11 @@ const visitor = function visitor(node, i, parent) {
             return o;
           };
           // export result
+          // save transformer
           var _decorateResult = decorateResult(result);
           var _decorateResult$rende = _decorateResult.rendererProps;
           rendererProps = _decorateResult$rende === void 0 ? {} : _decorateResult$rende;
           previewerProps = _decorateResult.previewerProps;
-          // save transformer
           previewerTransformer = _objectSpread(_objectSpread({}, item), {}, {
             fn: () => decorateResult(caller())
           });
diff --git a/lib/transformer/remark/raw.js b/lib/transformer/remark/raw.js
index 3bfe6dbf71aa464ecc244be77a271e33b8f6e457..77768285d9e61c80c6101a22bd614f14908de99c 100644
--- a/lib/transformer/remark/raw.js
+++ b/lib/transformer/remark/raw.js
@@ -25,7 +25,7 @@ function _hastUtilRaw() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /**
  * detect properties whether has complex value
  * @param props
diff --git a/lib/transformer/remark/rehype.js b/lib/transformer/remark/rehype.js
index 1c7938812b37030978d8beade0be73cbd817fa6f..68ed5da7a5af3093535215908bb5d05e8ac9f117 100644
--- a/lib/transformer/remark/rehype.js
+++ b/lib/transformer/remark/rehype.js
@@ -12,14 +12,14 @@ function _remarkRehype() {
   return data;
 }
 const _excluded = ["type", "lang", "value", "position"];
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
-function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
-function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
+function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
+function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
 /**
  * handle demo type node from parse
  */
@@ -40,7 +40,7 @@ function demoHandler(h, _ref) {
     source: clonedNode.value
   }, props));
 }
-var rehype = function rehype() {
+var rehype = exports.default = function rehype() {
   return _remarkRehype().default.call(this, {
     handlers: {
       demo: demoHandler
@@ -48,4 +48,3 @@ var rehype = function rehype() {
     allowDangerousHtml: true
   });
 };
\ No newline at end of file
-exports.default = rehype;
\ No newline at end of file
diff --git a/lib/transformer/remark/rehypeDesc.d.ts b/lib/transformer/remark/rehypeDesc.d.ts
new file mode 100644
index 0000000000000000000000000000000000000000..79a756f3101231b9ea35f0f0b5ee81ae6b146b11
--- /dev/null
+++ b/lib/transformer/remark/rehypeDesc.d.ts
@@ -0,0 +1,5 @@
+import type { IDumiUnifiedTransformer } from '.';
+/**
+ * rehype plugin to handle img source from local
+ */
+export default function rehypeDesc(): IDumiUnifiedTransformer;
diff --git a/lib/transformer/remark/rehypeDesc.js b/lib/transformer/remark/rehypeDesc.js
new file mode 100644
index 0000000000000000000000000000000000000000..1dd4d6fbb6efdb7c5d8729277ab0879c7df27d61
--- /dev/null
+++ b/lib/transformer/remark/rehypeDesc.js
@@ -0,0 +1,54 @@
+"use strict";
+
+Object.defineProperty(exports, "__esModule", {
+  value: true
+});
+exports.default = rehypeDesc;
+function _path() {
+  const data = _interopRequireDefault(require("path"));
+  _path = function _path() {
+    return data;
+  };
+  return data;
+}
+function _unistUtilVisit() {
+  const data = _interopRequireDefault(require("unist-util-visit"));
+  _unistUtilVisit = function _unistUtilVisit() {
+    return data;
+  };
+  return data;
+}
+function _hastUtilToString() {
+  const data = _interopRequireDefault(require("hast-util-to-string"));
+  _hastUtilToString = function _hastUtilToString() {
+    return data;
+  };
+  return data;
+}
+function _hastUtilIsElement() {
+  const data = _interopRequireDefault(require("hast-util-is-element"));
+  _hastUtilIsElement = function _hastUtilIsElement() {
+    return data;
+  };
+  return data;
+}
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function isRelativeUrl(url) {
+  return typeof url === 'string' && !/^(?:(?:blob:)?\w+:)?\/\//.test(url) && !_path().default.isAbsolute(url);
+}
+/**
+ * rehype plugin to handle img source from local
+ */
+function rehypeDesc() {
+  return (ast, vFile) => {
+    (0, _unistUtilVisit().default)(ast, 'element', node => {
+      if ((0, _hastUtilIsElement().default)(node, 'p')) {
+        const text = (0, _hastUtilToString().default)(node).trim();
+        if (text) {
+          vFile.data.description = vFile.data.description || text.replace(/\r?\n|\r/g, '');
+          return _unistUtilVisit().default.EXIT;
+        }
+      }
+    });
+  };
+}
\ No newline at end of file
diff --git a/lib/transformer/remark/slug.js b/lib/transformer/remark/slug.js
index bba33b734195823bc5dcd931eba70e6f8b9c14a4..4033302be4c2ac2b7bff468446fcbfd2d7b53d1f 100644
--- a/lib/transformer/remark/slug.js
+++ b/lib/transformer/remark/slug.js
@@ -55,7 +55,7 @@ function _hastUtilHasProperty() {
   return data;
 }
 var _context = _interopRequireDefault(require("../../context"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 const headings = ['h1', 'h2', 'h3', 'h4', 'h5', 'h6'];
 const sluggerStore = {};
 function filterValidChildren(children) {
diff --git a/lib/transformer/remark/sourceCode.js b/lib/transformer/remark/sourceCode.js
index cca4501f498377d9321783e8cf88cb2b32a2a49f..85b1818c463107dc70e69e7a282b1373ebfdceec 100644
--- a/lib/transformer/remark/sourceCode.js
+++ b/lib/transformer/remark/sourceCode.js
@@ -32,13 +32,13 @@ function _utils() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
 function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
-function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
-function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
-function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
-function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
+function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
+function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
+function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
+function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
 function createSourceCode(lang, code, position) {
   return {
     type: 'element',
diff --git a/lib/transformer/remark/table.js b/lib/transformer/remark/table.js
index d619eca39b22e1954044f486361bebd14ceaaa77..c4ba35102e22f363b7e3f13b239eef601a69ac0f 100644
--- a/lib/transformer/remark/table.js
+++ b/lib/transformer/remark/table.js
@@ -18,7 +18,7 @@ function _hastUtilIsElement() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /**
  * rehype plugin to handle table element to component
  */
diff --git a/lib/transformer/utils.js b/lib/transformer/utils.js
index 6d131ba2e12a31fbf6fd2eeca2abcfcaa07ab3f7..74fea56bd164e58e059440d6ec44dbc5e0d0d4f5 100644
--- a/lib/transformer/utils.js
+++ b/lib/transformer/utils.js
@@ -21,7 +21,7 @@ function _utils() {
   return data;
 }
 var _context = _interopRequireDefault(require("../context"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /* eslint-disable no-new-wrappers */
 /**
  * transform props base on JSX rule
@@ -76,8 +76,7 @@ const decodeHoistImportToContent = str => {
  * encode import/require statement by dynamicImport, it can be decode to await import statement with chunkName
  */
 exports.decodeHoistImportToContent = decodeHoistImportToContent;
-const CHUNK_ID = '^C^H^U^N^K^';
-exports.CHUNK_ID = CHUNK_ID;
+const CHUNK_ID = exports.CHUNK_ID = '^C^H^U^N^K^';
 const encodeImportRequire = resolvePath => `(${isDynamicEnable() ? `await import(${CHUNK_ID}` : 'require('}'${(0, _utils().winPath)(resolvePath)}')).default`;
 exports.encodeImportRequire = encodeImportRequire;
 const decodeImportRequire = (str, chunkName) => str.replace(new RegExp(CHUNK_ID.replace(/\^/g, '\\^'), 'g'), `/* webpackChunkName: "${chunkName}" */`);
diff --git a/lib/utils/cache.js b/lib/utils/cache.js
index 0fdc74eeb34a047a25ec7478f7ec0606ab8c1899..47a99c601c5364b145ee7ce567fd23a635277c98 100644
--- a/lib/utils/cache.js
+++ b/lib/utils/cache.js
@@ -11,7 +11,7 @@ function _fs() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 class FileCache {
   constructor() {
     this.cache = {};
diff --git a/lib/utils/getFileContent.js b/lib/utils/getFileContent.js
index 96717a574ba4856d4cdfd5d1374f0ac367471ca0..e2312a685ae2ed80cad10f7ad92ae96ece9422ab 100644
--- a/lib/utils/getFileContent.js
+++ b/lib/utils/getFileContent.js
@@ -5,13 +5,13 @@ Object.defineProperty(exports, "__esModule", {
 });
 exports.getFileRangeLines = exports.getFileContentByRegExp = void 0;
 var _context = _interopRequireDefault(require("../context"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
 function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
-function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
-function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
-function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
-function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
+function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
+function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
+function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
+function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
 /**
  * get range lines of markdown file
  */
diff --git a/lib/utils/getHostPkgAlias.js b/lib/utils/getHostPkgAlias.js
index a79ef9c84abc1efd16934f2bd5cfe3998422c8a6..b7afb09d63f4359c626b65cc061339703e0dafc3 100644
--- a/lib/utils/getHostPkgAlias.js
+++ b/lib/utils/getHostPkgAlias.js
@@ -25,7 +25,7 @@ function _child_process() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 function getPkgAliasForPath(absPath) {
   const result = ['', absPath];
   const pkgPath = _path().default.join(absPath, 'package.json');
diff --git a/lib/utils/getRepoUrl.js b/lib/utils/getRepoUrl.js
index a942b14b6b26729beab0b455e5fa80155fce9765..717b1a630e28744fa7f11e5e6f788ab616ad5a70 100644
--- a/lib/utils/getRepoUrl.js
+++ b/lib/utils/getRepoUrl.js
@@ -11,7 +11,7 @@ function _hostedGitInfo() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 var _default = (url, platform) => {
   var _hostedGit$fromUrl;
   if (!url || typeof url !== 'string') return '';
diff --git a/lib/utils/moduleResolver.js b/lib/utils/moduleResolver.js
index 25ad2803204b5268d5389445b132840d44c8ea19..b628179b5e217b469bf43b5bf50543a4efd20501 100644
--- a/lib/utils/moduleResolver.js
+++ b/lib/utils/moduleResolver.js
@@ -34,7 +34,7 @@ function _enhancedResolve() {
 }
 var _getHostPkgAlias = _interopRequireDefault(require("./getHostPkgAlias"));
 var _context = _interopRequireDefault(require("../context"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 const DEFAULT_EXT = ['.tsx', '.jsx', '.js', '.ts'];
 /**
  * get package related paths from source path
@@ -53,7 +53,7 @@ const getPkgPathsFromPath = identifier => {
  * get package root path if it is a local package
  * @param pkg   package name
  */
-const getHostPkgPath = (() => {
+const getHostPkgPath = exports.getHostPkgPath = (() => {
   let cache;
   return pkg => {
     var _cache$find;
@@ -67,7 +67,6 @@ const getHostPkgPath = (() => {
 /**
  * resolve module path base on umi context (alias)
  */
-exports.getHostPkgPath = getHostPkgPath;
 const getModuleResolvePath = ({
   basePath,
   sourcePath,
diff --git a/lib/utils/symlink.js b/lib/utils/symlink.js
index d9daa5b9a3358f46d3064e1ef3b49b53f6858a60..e976ecce2bebeb0db66abdd2171f7a62014a03b6 100644
--- a/lib/utils/symlink.js
+++ b/lib/utils/symlink.js
@@ -18,7 +18,7 @@ function _path() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 const isWin = process.platform === 'win32';
 /**
  * resolve src from dest
diff --git a/lib/utils/watcher.js b/lib/utils/watcher.js
index 6ca7490a3f6b4e141d964004baad69fe5870f1be..f165020dbd728d0b7a4ea6360a576efe4c2e194f 100644
--- a/lib/utils/watcher.js
+++ b/lib/utils/watcher.js
@@ -11,7 +11,7 @@ function _fs() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 const isDev = () => process.env.NODE_ENV === 'development' || process.env.TEST_WATCHER;
 const watchers = {};
 const closeFileWatcher = filePath => {
diff --git a/lib/utils/yaml.js b/lib/utils/yaml.js
index b6f480f919bd1c5198c6d5d1fc146ae502d67579..e7e292683fb0390d740bf561ac3cb2fd92e3f888 100644
--- a/lib/utils/yaml.js
+++ b/lib/utils/yaml.js
@@ -18,7 +18,7 @@ function _utils() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 var _default = source => {
   let parsed;
   try {